| POST | /RestApi/translations/retry |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class RetryTranslation
{
open var TranslationStatus:TranslationStatus? = null
open var Ids:ArrayList<UUID>? = null
open var ChangedFieldsOnly:Boolean? = null
}
enum class TranslationStatus(val value:Int)
{
Marked(101),
Sending(201),
Sent(202),
Received(301),
Importing(302),
Imported(303),
Completed(304),
Archived(401),
Deleted(402),
Rejected(403),
SendingError(501),
ImportingError(502),
ReceivingError(503),
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/translations/retry HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}